Get Transaction by ID
The “Get Transaction by ID” API allows to retrieve information for a specific transaction using its unique identifier. Use this endpoint to fetch details for a single transaction based on the provided transaction ID.
GET
/
payments
/
transactions
/
{transactionId}
Get Transaction by ID
curl --request GET \
--url https://services.leadconnectorhq.com/payments/transactions/{transactionId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/transactions/{transactionId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "61dd0feac077f72010f78804",
"altType": "location",
"altId": "3SwdhCu3svxI8AKsPJt6",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@hoopai.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"currency": "USD",
"amount": "100",
"status": "succeeded",
"liveMode": "false",
"entityType": "order",
"entityId": "61dd0fe9c077f73e67f78803",
"entitySource": "{ type: \"funnel\", id: \"BDBMEghdIUaqMPEsK349\", subType: \"two_step_order_form\", name: \"new funnel\" }",
"chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
"chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\", account_name: \"HoopAI-Testing\" }",
"invoiceId": "in_1KGcXDCScnf89tZohCsmImwE",
"subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
"paymentProvider": "{ type: \"stripe\", connectedAccount: { _id: \"612ca676b484b241fef9d962\", accountId: \"acct_1Ihw53CScnf89tZo\" } }",
"ipAddress": "107.178.194.224",
"meta": "{ stepId: \"af7c731e-e36f-4152-bd1a-3f69a31d6d6d\", pageId: \"A8ltotc2jZxurJba4e3Y\", pageUrl: \"/v2/preview/A8ltotc2jZxurJba4e3Y\" }",
"markAsTest": "false",
"isParent": "false",
"amountRefunded": "10",
"receiptId": "6492fbea489bc07892c6defb",
"qboSynced": "false",
"qboResponse": "{ domain: \"QBO\", sparse: false, Id: \"180\", SyncToken: \"0\", TotalAmt: 25 }",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
"createdBy": "user123"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Query Parameters
Response
Successful response
Last modified on March 8, 2026
Was this page helpful?
Get Transaction by ID
curl --request GET \
--url https://services.leadconnectorhq.com/payments/transactions/{transactionId} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/transactions/{transactionId}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"_id": "61dd0feac077f72010f78804",
"altType": "location",
"altId": "3SwdhCu3svxI8AKsPJt6",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2024-01-23T09:57:04.846Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@hoopai.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
"currency": "USD",
"amount": "100",
"status": "succeeded",
"liveMode": "false",
"entityType": "order",
"entityId": "61dd0fe9c077f73e67f78803",
"entitySource": "{ type: \"funnel\", id: \"BDBMEghdIUaqMPEsK349\", subType: \"two_step_order_form\", name: \"new funnel\" }",
"chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
"chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\", account_name: \"HoopAI-Testing\" }",
"invoiceId": "in_1KGcXDCScnf89tZohCsmImwE",
"subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
"paymentProvider": "{ type: \"stripe\", connectedAccount: { _id: \"612ca676b484b241fef9d962\", accountId: \"acct_1Ihw53CScnf89tZo\" } }",
"ipAddress": "107.178.194.224",
"meta": "{ stepId: \"af7c731e-e36f-4152-bd1a-3f69a31d6d6d\", pageId: \"A8ltotc2jZxurJba4e3Y\", pageUrl: \"/v2/preview/A8ltotc2jZxurJba4e3Y\" }",
"markAsTest": "false",
"isParent": "false",
"amountRefunded": "10",
"receiptId": "6492fbea489bc07892c6defb",
"qboSynced": "false",
"qboResponse": "{ domain: \"QBO\", sparse: false, Id: \"180\", SyncToken: \"0\", TotalAmt: 25 }",
"traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
"mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
"createdBy": "user123"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}